#
# spec file for package nh2ps
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           nh2ps
Summary:        Hangul Text to Postscript Converter
License:        SUSE-Public-Domain
Group:          Productivity/Publishing/PS
Version:        2.3.1
Release:        677.2
Source:         ftp://jazz.snu.ac.kr/pub/unix/util/nh2ps/nh2ps-2.3.1.tar.gz
Patch0:         nh2ps-2.3.1-cflags.patch
Patch1:         nh2ps-2.3.1-perlpath.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Convert plain hangul text into postscript form. By Choi Jun Ho, the
Junker <junker@jazz.snu.ac.kr>.



Authors:
--------
    Choi Jun Ho <junker@jazz.snu.ac.kr>

%prep
%setup -q
%patch0
%patch1 -p1

%build
export RPM_OPT_FLAGS
# parallel build fails
make -j1

%install
install -d %{buildroot}%{_prefix}/bin
make PREFIX=%{buildroot}%{_prefix} install

%files
%defattr(-,root,root)
%doc ksc5601-char-list README.a2ps
%doc README.filtering_with_gs README.nh2ps README.font
%{_prefix}/bin/nh2ps*

%changelog
* Tue Nov  7 2023 Dominique Leuenberger <dimstar@opensuse.org>
- Fix build with RPM 4.19: unnumbered patches are no longer
  supported.
* Wed Oct  8 2014 jengelh@inai.de
- Remove ancient specfile tags/sections
* Tue Nov  3 2009 coolo@novell.com
- updated patches to apply with fuzz=0
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 20 2006 schwab@suse.de
- Use RPM_OPT_FLAGS.
* Fri Jan 20 2006 schwab@suse.de
- Don't strip binaries.
* Sat Jan 10 2004 adrian@suse.de
- add %%defattr
* Fri Aug 30 2002 ro@suse.de
- corrected changes file
* Tue Nov 28 2000 violiet@susekorea.net
- initial RPM release for SuSE Linux.
